<ui:composition xmlns:ui="http://java.sun.com/jsf/facelets" xmlns:h="http://java.sun.com/jsf/html"
                xmlns:a4j="http://richfaces.org/a4j"
                xmlns:f="http://java.sun.com/jsf/core" xmlns:gri="http://java.sun.com/jsf/composite/gri"
                xmlns="http://www.w3.org/1999/xhtml" template="/layout/template.xhtml">
    <ui:param name="ID" value="XDSADH"/>
  <ui:define name="body">
      <h1>#{messages['net.ihe.gazelle.xdstar.ValidatorRegistryObjectMetadataEditor']}</h1>
    <h:form>
			#{validatorRegistryObjectMetadataEditorManager.reloadSelectedValidatorRegistryObjectMetaData()}
			<gri:panel pid="globalpanel">
				<f:facet name="header">
                    <h:outputText
                            value="#{messages['net.ihe.gazelle.xdstar.EditValidatorToRegistryObjectMetadataAssociation']}"/>
				</f:facet>
				<a4j:commandButton value="#{messages['net.ihe.gazelle.xdstar.Back']}" styleClass="gzl-btn"
					action="/admin/validatorRegistryObjectMetadata.xhtml" />
				<a4j:commandButton value="#{messages['net.ihe.gazelle.xdstar.Save']}" styleClass="gzl-btn-green"
					action="#{validatorRegistryObjectMetadataEditorManager.saveSelectedValidatorRegistryObjectMetaData()}"
					render="messageDecoration" />
				<br />
				<br />
				<ui:include src="/admin/ValidatorROTable.xhtml">
					<ui:param name="selectedRO"
						value="#{validatorRegistryObjectMetadataEditorManager.selectedValidatorRegistryObjectMetadata}" />
				</ui:include>
				<br />
				<br />
			</gri:panel>
		</h:form>
    <ui:include src="/admin/ValidatorROModalPanels.xhtml">
      <ui:param name="selectedRO" value="#{validatorRegistryObjectMetadataEditorManager.selectedValidatorRegistryObjectMetadata}"/>
    </ui:include>
  </ui:define>
</ui:composition>
